Subject: Re: bug#35640: Make USB modems just work on Guix

From: Danny Milosavljevic <[email-masked]>
Date: Tue, 14 May 2019 10:35:55 +0200

Hi Florian,

On Mon, 13 May 2019 23:04:43 +0200
"pelzflorian (Florian Pelz)" <[email-masked]> wrote:

> On Mon, May 13, 2019 at 10:57:20PM +0200, pelzflorian (Florian Pelz) wrote:
> > Also attached is my current work-in-progress package for
> > USB_ModeSwitch.  It does *not* work because I cannot figure out how to
> > use tcl in the package’s inputs field.
> > 
> > #:use-module gives me errors; only (@ (gnu packages tcl) tcl) appears
> > to work.

The problem is there's a use-modules cycle somewhere.

> I uploaded
> 
> +    (inputs `(("libusb" ,libusb)
> +              ("tcl" ,(error tcl:tcl))))
> 
> This was a mistake, I mean
> 
> +    (inputs `(("libusb" ,libusb)
> +              ("tcl" tcl:tcl)))

Should be

   (inputs `(("libusb" ,libusb)
             ("tcl" ,tcl:tcl)))

But I guess you meant that anyway.

The problem is there's a use-modules cycle somewhere.
Try putting usb-modeswitch in another module (a new one if necessary).

Also, does it really require tcl?  Sounds kinda weird to me.